#1365 closed defect (wontfix)

Shell msdosfmt (format command) a NOOP with SD/MMC cards

Reported by: Gene Smith Owned by: Chris Johns
Priority: normal Milestone: 4.11
Component: fs Version: 4.9
Severity: normal Keywords:
Cc: joel.sherrill@…, chrisj@… Blocked By:
Blocking:

Description

4.9.1 shell command msdosfmt to an SD or MMC card results in no writes to the card so it is *not* reformatted.

This is caused by the read and write function for the driver interfacing being defined NULL. For standard disk file writing the correct functions are specified.

This can be manually fixed in 4.9.x by backporting the new HEAD version as described here to the 4.9.x code:
http://www.rtems.org/bugzilla/show_bug.cgi?id=1356

This new HEAD version also adds MMC support and High Capacity SD support.

Change History (5)

comment:1 Changed on Jan 29, 2009 at 2:05:44 PM by Joel Sherrill

Cc: Chris Johns added

comment:2 Changed on Aug 6, 2010 at 10:06:37 PM by Joel Sherrill

Milestone: 4.10Not Assigned
Owner: changed from Joel Sherrill to Chris Johns

comment:3 Changed on Aug 13, 2010 at 9:43:52 AM by Chris Johns

Resolution: wontfix
Status: newclosed

comment:4 Changed on Aug 13, 2010 at 10:45:43 AM by Joel Sherrill

Cc: Joel Sherrill added

If this works in 4.10 or 4.11, then I agree. If not, then I think
we need to change the milestone.

It is a wish for a back port. I wish they would upgrade. :)

comment:5 Changed on Nov 20, 2014 at 4:41:05 AM by Chris Johns

Milestone: Not Assigned4.11

All fixed and close on HEAD.

Note: See TracTickets for help on using tickets.